HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostTestHelpersTerminalReadersReaderPresentPaymentMethod

Contains the different functions to run the operation postTestHelpersTerminalReadersReaderPresentPaymentMethod

  • 4 types
  • 3 values
  • Packagestripeapi-3.0.0.0
  • Exports7
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostTestHelpersTerminalReadersReaderPresentPaymentMethod.hs
valuepostTestHelpersTerminalReadersReaderPresentPaymentMethod
  1. :: MonadHTTP m
  2. => Text

    reader | Constraints: Maximum length of 5000

  3. -> Maybe PostTestHelpersTerminalReadersReaderPresentPaymentMethodRequestBody

    The request body to send

  4. -> ClientT m (Response PostTestHelpersTerminalReadersReaderPresentPaymentMethodResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/test_helpers/terminal/readers/{reader}/present_payment_method

<p>Presents a payment method on a simulated reader. Can be used to simulate accepting a payment, saving a card or refunding a transaction.</p>

Defines the object schema located at paths./v1/test_helpers/terminal/readers/{reader}/present_payment_method.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/test_helpers/terminal/readers/{reader}/present_payment_method.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.card_present in the specification.

Simulated card present data

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/test_helpers/terminal/readers/{reader}/present_payment_method.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.type in the specification.

Simulated payment type

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postTestHelpersTerminalReadersReaderPresentPaymentMethod.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostTestHelpersTerminalReadersReaderPresentPaymentMethodResponseError is used.

Instances2Eq, Show